%define debug_package %{nil}
%define uver    %(echo %{version} | tr -d ".")

Name:           blockout
Version:        2.5
Release:        %mkrel 5
Summary:        A free clone of the original BlockOut DOS game
Group:          Games/Arcade
License:        GPLv2+
Url:            http://www.blockout.net/blockout2
Source0:        http://download.sourceforge.net/blockout/bl%{uver}-src.tar.gz
Patch0:         blockout-2.5-mga-makefile.patch
#Patch1:         compilefixes.diff
#Patch2:         bl2home.diff

BuildRequires:  icoutils
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
Requires:       %{name}-data >= %{version}
Provides:       %{name}2 = %{version}-%{release}

%description
BlockOut II is a free adaptation of the original BlockOut DOS game
edited by California Dreams in 1989. BlockOut II has the same
features than the original game with few graphic improvements. The
game has been designed to reproduce the original game kinematics as
accurately as possible.

%prep
%setup -qn BL_SRC
%autopatch -p1

%build
%set_build_flags
%make -C ImageLib/src
CXXFLAGS+=" -Wno-error=format-security"
%make -C BlockOut _release=1

%install
# Install executable, needs a wrapper script
install -D -m755 BlockOut/%{name} %{buildroot}%{_libexecdir}/%{name}/%{name}

install -d %{buildroot}%{_gamesbindir}
cat << EOF > %{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh
export BL2_HOME=%{_gamesdatadir}/%{name}
exec %{_libexecdir}/%{name}/%{name} \$1
EOF
chmod +x %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=BlockOut II
GenericName=3D tetris-like
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

icotool -x BlockOut/block_icon.ico
install -D -m644 block_icon_1_32x32x4.png  %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 block_icon_2_16x16x4.png  %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 block_icon_3_48x48x32.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc BlockOut/README.txt
%{_gamesbindir}/%{name}
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.5-5.mga8
+ Revision: 1510741
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Sep 21 2018 umeabot <umeabot> 2.5-4.mga7
+ Revision: 1295514
- Mageia 7 Mass Rebuild

* Wed Feb 10 2016 umeabot <umeabot> 2.5-3.mga6
+ Revision: 953257
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 2.5-2.mga6
+ Revision: 875059
- Fix build with new rpm ( empty debuginfo)

* Tue Dec 23 2014 akien <akien> 2.5-1.mga5
+ Revision: 805084
- imported package blockout

